#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <util/application.h>
#include <gui/window.h>
#include <gui/image.h>
#include <util/message.h>
#include <util/resources.h>
#include <gui/toolbar.h>
#include <gui/menu.h>
#include <gui/statusbar.h>


#include "connectbar.h"
#include "view.h"
#include "server.h"

class MainWindow : public os::Window
{
public:
	MainWindow();
	void HandleMessage( os::Message* );
	
private:
	bool OkToQuit();
	void Layout();
	void SetupMenus();
	void SetupToolBar();
	void SetupStatusBar();
	
	String ConstructURL( const String& zHost, int nPort, const String& zUser, const String& zPassword );
private:
	os::Menu* m_pcMainMenu;
	os::ToolBar* m_pcToolBar;
	os::StatusBar* m_pcStatusBar;
	FTPView* m_pcView;
	ConnectBar* m_pcConnectBar;
	
	Server* m_pcServer;
};

#endif








